Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
NotFoundException Class
Members See Also Send Feedback

The requested key/data pair did not exist in the database or that start-of- or end-of-file has been reached by a cursor.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public class NotFoundException : DatabaseException

Visual Basic (Declaration)
    Public Class NotFoundException _
    	Inherits DatabaseException

Visual C++
    public ref class NotFoundException : public DatabaseException

# Inheritance Hierarchy

System..::.Object
System..::.Exception
BerkeleyDB..::.DatabaseException
BerkeleyDB..::.NotFoundException

# See Also

NotFoundException Members
BerkeleyDB Namespace